Package org.apache.commons.collections4.iterators

# Class EmptyOrderedMapIterator<K,V>

java.lang.Object
org.apache.commons.collections4.iterators.AbstractEmptyMapIterator<K,V>
org.apache.commons.collections4.iterators.EmptyOrderedMapIterator<K,V>

Type Parameters:
  `K` - the type of keys
  `V` - the type of mapped values

All Implemented Interfaces:
  `Iterator<K>`, `MapIterator<K,V>`, `OrderedIterator<K>`, `OrderedMapIterator<K,V>`, `ResettableIterator<K>`

public class EmptyOrderedMapIterator<K,V> extends AbstractEmptyMapIterator<K,V> implements OrderedMapIterator<K,V>, ResettableIterator<K>
Provides an implementation of an empty ordered map iterator.

Since:
  3.1

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final OrderedMapIterator`
  `INSTANCE`
  Singleton instance of the iterator.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EmptyOrderedMapIterator()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(K obj)`
  `static <K, V> OrderedMapIterator<K,V>`
  `emptyOrderedMapIterator()`
  Gets a typed instance of the iterator.
  `boolean`
  `hasNext()`
  `boolean`
  `hasPrevious()`
  `K`
  `next()`
  `int`
  `nextIndex()`
  `K`
  `previous()`
  `int`
  `previousIndex()`
  `void`
  `remove()`
  `void`
  `reset()`
  `void`
  `set(K obj)`

  ### Methods inherited from class org.apache.commons.collections4.iterators.AbstractEmptyMapIterator

  `getKey, getValue, setValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

  ### Methods inherited from interface org.apache.commons.collections4.MapIterator

  `getKey, getValue, hasNext, next, remove, setValue`

  ### Methods inherited from interface org.apache.commons.collections4.OrderedMapIterator

  `hasPrevious, previous`

  ### Methods inherited from interface org.apache.commons.collections4.ResettableIterator

  `reset`

- ## Field Details

  - ### INSTANCE

    public static final OrderedMapIterator INSTANCE
    Singleton instance of the iterator.
    Since:
      3.1

- ## Constructor Details

  - ### EmptyOrderedMapIterator

    protected EmptyOrderedMapIterator()
    Constructs a new instance.

- ## Method Details

  - ### emptyOrderedMapIterator

    public static <K, V> OrderedMapIterator<K,V> emptyOrderedMapIterator()
    Gets a typed instance of the iterator.
    Type Parameters:
      `K` - the key type
      `V` - the value type
    Returns:
      `OrderedMapIterator`<K, V>

  - ### add

    public void add(K obj)

  - ### hasNext

    public boolean hasNext()

  - ### hasPrevious

    public boolean hasPrevious()

  - ### next

    public K next()

  - ### nextIndex

    public int nextIndex()

  - ### previous

    public K previous()

  - ### previousIndex

    public int previousIndex()

  - ### remove

    public void remove()

  - ### reset

    public void reset()

  - ### set

    public void set(K obj)